package com.community.huiju.vo;

import com.community.commom.constant.enums.TicketUserTypeEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 工单处理
 *
 *     回复/追问 数据
 *
 * @author weiximei
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RecordCommentVO {

    /** 编号 **/
    private Integer id;

    /** 追问人id(tp_user_id也就是物业用户)  或者是 发起人id(ta_user_id也就是住户app的id) **/
    private Integer uuid;

    /** 对应上面 uuid 的 用户姓名 **/
    private String userName;

    /** 用户类型 追问人/发起人 **/
    private String userType;

    /** 追问内容 或者 回复记录 **/
    private String content;

    /** 回复的是哪一条记录, 0表示当前(比如 待分配 等状态)状态下第一条 **/
    private Integer parentId;

    /** 创建时间 **/
    private Date createDate;

}
