package com.community.commom.constant.enums;

import com.alibaba.fastjson.JSONObject;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * app用户  认证状态
 *
 * 认证状态  0 是未认证    1是认证通过   2是已作废
 *
 * @author weiximei
 */
@Getter
public enum  TaUserVerifyStatusEnum implements CodeEnum {

    UNAUTHORIZED(0,"未认证"),

    CERTIFICATION_BY(1,"认证通过"),

    THE_CANCELLATION(2,"已作废"),

    ;

    private Integer code;

    private String comments;

    TaUserVerifyStatusEnum(Integer code, String comments) {
        this.code = code;
        this.comments = comments;
    }

    /**
     * 重写toString，单个转化成json
     * @return
     */
    @Override
    public String toString() {
        JSONObject object = new JSONObject();
        object.put("code",code);
        object.put("comments",comments);
        return object.toString();
    }

}
