package com.community.commom.constant.enums;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;

/**
 * 工单 报修类型
 *
 * 0:公共区域  1: 房屋质量  2::户内设施  PS : 报修的情况下才有报修类型
 *
 * @author weiximei
 */
@Getter
public enum  TicketRepairTypeEnum implements CodeEnum {

    THE_PUBLIC_AREAS(0,"公共区域"),

    BUILDING_QUALITY(1,"房子质量"),

    INDOOR_FACILITIES(2,"户内设施"),

    ;

    private Integer code;

    private String comments;

    TicketRepairTypeEnum(Integer code, String comments) {
        this.code = code;
        this.comments = comments;
    }

    /**
     * 重写toString，单个转化成json
     * @return
     */
    @Override
    public String toString() {
        JSONObject object = new JSONObject();
        object.put("code",code);
        object.put("comments",comments);
        return object.toString();
    }

}
