package com.community.commom.constant.enums;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;

/**
 * 工单 流转状态
 *
 *  0:待分配  1:拒绝受理 2:待处理 3:正在处理 4:待评价 5:已评价 6:被终止
 *
 * @author weiximei
 */
@Getter
public enum TicketStatusEnum implements CodeEnum {

    TO_BE_DISTRIBUTED(0,"待分配"),

    REFUSED_TO_ACCEPT(1,"拒绝受理"),

    TO_BE_PROCESSED(2,"待处理"),

    ARE_DEALING_WITH(3,"正在处理"),

    TO_EVALUATE(4,"待评价"),

    HAVE_EVALUATION(5,"已评价"),

    BE_TERMINATED(6,"被终止"),

    ;

    private Integer code;

    private String comments;

    TicketStatusEnum(Integer code, String comments) {
        this.code = code;
        this.comments = comments;
    }

    /**
     * 重写toString，单个转化成json
     * @return
     */
    @Override
    public String toString() {
        JSONObject object = new JSONObject();
        object.put("code",code);
        object.put("comments",comments);
        return object.toString();
    }

}
