package com.community.commom.constant.enums;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;

/**
 * 工单类型
 * @author weiximei
 */
@Getter
public enum TicketTypeEnum implements CodeEnum {

    REPAIRS(0,"报修"),

    COMPLAINT(1,"投诉"),

    LIAISON(2,"联系单"),

    ;

    private Integer code;

    private String comments;

    TicketTypeEnum(Integer code, String comments) {
        this.code = code;
        this.comments = comments;
    }


    /**
     * 重写toString，单个转化成json
     * @return
     */
    @Override
    public String toString() {
        JSONObject object = new JSONObject();
        object.put("code",code);
        object.put("comments",comments);
        return object.toString();
    }
}
